Bug 1300181 - [abrt] gtk-gnutella: crash_handler(): gtk-gnutella killed by SIGABRT
Summary: [abrt] gtk-gnutella: crash_handler(): gtk-gnutella killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk-gnutella
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:566090e0951ff7997eb5a88c69e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-20 07:37 UTC by Răzvan Sandu
Modified: 2016-03-25 21:53 UTC (History)
3 users (show)

Fixed In Version: gtk-gnutella-1.1.9-1.fc23 gtk-gnutella-1.1.9-1.fc22 gtk-gnutella-1.1.9-1.el7 gtk-gnutella-1.1.9-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-17 20:54:02 UTC


Attachments (Terms of Use)
File: backtrace (20.29 KB, text/plain)
2016-01-20 07:38 UTC, Răzvan Sandu
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-20 07:38 UTC, Răzvan Sandu
no flags Details
File: core_backtrace (11.64 KB, text/plain)
2016-01-20 07:38 UTC, Răzvan Sandu
no flags Details
File: dso_list (8.02 KB, text/plain)
2016-01-20 07:38 UTC, Răzvan Sandu
no flags Details
File: environ (1.83 KB, text/plain)
2016-01-20 07:38 UTC, Răzvan Sandu
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-20 07:38 UTC, Răzvan Sandu
no flags Details
File: maps (38.00 KB, text/plain)
2016-01-20 07:38 UTC, Răzvan Sandu
no flags Details
File: mountinfo (3.51 KB, text/plain)
2016-01-20 07:38 UTC, Răzvan Sandu
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-20 07:38 UTC, Răzvan Sandu
no flags Details
File: open_fds (141 bytes, text/plain)
2016-01-20 07:38 UTC, Răzvan Sandu
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-01-20 07:38 UTC, Răzvan Sandu
no flags Details
File: var_log_messages (5.69 KB, text/plain)
2016-01-20 07:38 UTC, Răzvan Sandu
no flags Details

Description Răzvan Sandu 2016-01-20 07:37:59 UTC
Description of problem:
I just tried to start gtk-gnutella

Version-Release number of selected component:
gtk-gnutella-1.1.1-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gtk-gnutella
crash_function: crash_handler
executable:     /usr/bin/gtk-gnutella
global_pid:     4611
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 crash_handler at crash.c:2499
 #2 crash_abort at crash.c:3030
 #3 assertion_abort at fast_assert.c:178
 #4 assertion_failure_log at fast_assert.c:322
 #5 thread_cleanup_push_from at thread.c:7792
 #6 cond_wait_until at cond.c:972
 #7 cond_wait_until_clean at cond.c:1513
 #8 aq_remove at aq.c:426
 #9 adns_helper at adns.c:427
 #10 thread_launch_trampoline at thread.c:6897

Potential duplicate: bug 920065

Comment 1 Răzvan Sandu 2016-01-20 07:38:04 UTC
Created attachment 1116518 [details]
File: backtrace

Comment 2 Răzvan Sandu 2016-01-20 07:38:05 UTC
Created attachment 1116519 [details]
File: cgroup

Comment 3 Răzvan Sandu 2016-01-20 07:38:06 UTC
Created attachment 1116520 [details]
File: core_backtrace

Comment 4 Răzvan Sandu 2016-01-20 07:38:08 UTC
Created attachment 1116521 [details]
File: dso_list

Comment 5 Răzvan Sandu 2016-01-20 07:38:09 UTC
Created attachment 1116522 [details]
File: environ

Comment 6 Răzvan Sandu 2016-01-20 07:38:11 UTC
Created attachment 1116523 [details]
File: limits

Comment 7 Răzvan Sandu 2016-01-20 07:38:13 UTC
Created attachment 1116524 [details]
File: maps

Comment 8 Răzvan Sandu 2016-01-20 07:38:14 UTC
Created attachment 1116525 [details]
File: mountinfo

Comment 9 Răzvan Sandu 2016-01-20 07:38:15 UTC
Created attachment 1116526 [details]
File: namespaces

Comment 10 Răzvan Sandu 2016-01-20 07:38:17 UTC
Created attachment 1116527 [details]
File: open_fds

Comment 11 Răzvan Sandu 2016-01-20 07:38:18 UTC
Created attachment 1116528 [details]
File: proc_pid_status

Comment 12 Răzvan Sandu 2016-01-20 07:38:19 UTC
Created attachment 1116529 [details]
File: var_log_messages

Comment 13 Peter F. Patel-Schneider 2016-02-09 15:58:12 UTC
The current version of gtk-gnutella, 1.1.8, appears to have a fix for the startup crash that I am experiencing, which has been identified as the same as this one.  Could the fedora package be updated?

Comment 14 Dmitry Butskoy 2016-02-09 18:55:10 UTC
Sure.

Comment 15 Fedora Update System 2016-02-09 21:35:06 UTC
gtk-gnutella-1.1.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7a7ea5655

Comment 16 Fedora Update System 2016-02-09 21:35:57 UTC
gtk-gnutella-1.1.8-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-24f77600ac

Comment 17 Fedora Update System 2016-02-09 21:36:39 UTC
gtk-gnutella-1.1.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6c53daffc8

Comment 18 Fedora Update System 2016-02-09 21:37:22 UTC
gtk-gnutella-1.1.8-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61312ae8c5

Comment 19 Fedora Update System 2016-02-10 17:20:24 UTC
gtk-gnutella-1.1.8-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61312ae8c5

Comment 20 Fedora Update System 2016-02-10 18:23:07 UTC
gtk-gnutella-1.1.8-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-24f77600ac

Comment 21 Fedora Update System 2016-02-10 18:51:14 UTC
gtk-gnutella-1.1.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7a7ea5655

Comment 22 Fedora Update System 2016-02-10 23:54:23 UTC
gtk-gnutella-1.1.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6c53daffc8

Comment 23 Fedora Update System 2016-03-06 20:05:26 UTC
gtk-gnutella-1.1.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-af598ddc5d

Comment 24 Fedora Update System 2016-03-06 20:06:09 UTC
gtk-gnutella-1.1.9-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f72b241736

Comment 25 Fedora Update System 2016-03-06 20:06:57 UTC
gtk-gnutella-1.1.9-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b30095dc4e

Comment 26 Fedora Update System 2016-03-06 20:07:36 UTC
gtk-gnutella-1.1.9-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-caf00f1a74

Comment 27 Fedora Update System 2016-03-09 21:25:06 UTC
gtk-gnutella-1.1.9-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f72b241736

Comment 28 Fedora Update System 2016-03-09 22:57:54 UTC
gtk-gnutella-1.1.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-af598ddc5d

Comment 29 Fedora Update System 2016-03-09 23:19:03 UTC
gtk-gnutella-1.1.9-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-caf00f1a74

Comment 30 Fedora Update System 2016-03-09 23:21:56 UTC
gtk-gnutella-1.1.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b30095dc4e

Comment 31 Fedora Update System 2016-03-17 20:53:59 UTC
gtk-gnutella-1.1.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2016-03-17 21:21:15 UTC
gtk-gnutella-1.1.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2016-03-25 21:26:01 UTC
gtk-gnutella-1.1.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2016-03-25 21:53:03 UTC
gtk-gnutella-1.1.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.